#include<bits/stdc++.h>
using namespace std;

const int N = 1000005;
long long int p,q,r,L,R,res=0;

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	cin >> p >> q >> r;
	cin >> L >> R;
    if(p==1 || q==1 || r==1)
    {
        cout << 0;
        return 0;
    }

	for(int i=L;i<=R;i++)
    {
        if(ceil(i/r)+ceil(i/q)+ceil(i/p)<=i)res++;
    }
    cout << res;
    return 0;

}